org.apache.cassandra.db

## Interface RowIndexEntry.IndexInfoRetriever

- All Superinterfaces:
    java.lang.AutoCloseable
  Enclosing class:
    RowIndexEntry<T>

      public static interface RowIndexEntry.IndexInfoRetriever
      extends java.lang.AutoCloseable

  Base class to access `IndexInfo` objects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `IndexInfo` | `columnsIndex(int index)`

- - ### Method Detail

    - #### columnsIndex

          IndexInfo columnsIndex(int index)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          void close()
              throws java.io.IOException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation